Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class RoleClassPassiveMember3

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.RoleClassPassiveMember3

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class RoleClassPassiveMember3

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Role Class Passive Member3', and utility methods for working with them.

See Also:
  `CDAR2Package.getRoleClassPassiveMember3()`

Field Summary
`static int` | `ACCESS` The 'ACCESS' literal value.
`static RoleClassPassiveMember3` | `ACCESS_LITERAL` The 'ACCESS' literal object.
`static int` | `BIRTHPL` The 'BIRTHPL' literal value.
`static RoleClassPassiveMember3` | `BIRTHPL_LITERAL` The 'BIRTHPL' literal object.
`static int` | `EXPR` The 'EXPR' literal value.
`static RoleClassPassiveMember3` | `EXPR_LITERAL` The 'EXPR' literal object.
`static int` | `HLD` The 'HLD' literal value.
`static RoleClassPassiveMember3` | `HLD_LITERAL` The 'HLD' literal object.
`static int` | `HLTHCHRT` The 'HLTHCHRT' literal value.
`static RoleClassPassiveMember3` | `HLTHCHRT_LITERAL` The 'HLTHCHRT' literal object.
`static int` | `IDENT` The 'IDENT' literal value.
`static RoleClassPassiveMember3` | `IDENT_LITERAL` The 'IDENT' literal object.
`static int` | `MNT` The 'MNT' literal value.
`static RoleClassPassiveMember3` | `MNT_LITERAL` The 'MNT' literal object.
`static int` | `OWN` The 'OWN' literal value.
`static RoleClassPassiveMember3` | `OWN_LITERAL` The 'OWN' literal object.
`static int` | `RGPR` The 'RGPR' literal value.
`static RoleClassPassiveMember3` | `RGPR_LITERAL` The 'RGPR' literal object.
`static int` | `TERR` The 'TERR' literal value.
`static RoleClassPassiveMember3` | `TERR_LITERAL` The 'TERR' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Role Class Passive Member3' enumerators.
`static int` | `WRTE` The 'WRTE' literal value.
`static RoleClassPassiveMember3` | `WRTE_LITERAL` The 'WRTE' literal object.

Method Summary
`static RoleClassPassiveMember3` | `get(int value)` Returns the 'Role Class Passive Member3' literal with the specified integer value.
`static RoleClassPassiveMember3` | `get(java.lang.String literal)` Returns the 'Role Class Passive Member3' literal with the specified literal value.
`static RoleClassPassiveMember3` | `getByName(java.lang.String name)` Returns the 'Role Class Passive Member3' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACCESS

    public static final int ACCESS

  The 'ACCESS' literal value.

  If the meaning of 'ACCESS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ACCESS_LITERAL`, Constant Field Values

### BIRTHPL

    public static final int BIRTHPL

  The 'BIRTHPL' literal value.

  If the meaning of 'BIRTHPL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BIRTHPL_LITERAL`, Constant Field Values

### EXPR

    public static final int EXPR

  The 'EXPR' literal value.

  If the meaning of 'EXPR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EXPR_LITERAL`, Constant Field Values

### HLD

    public static final int HLD

  The 'HLD' literal value.

  If the meaning of 'HLD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HLD_LITERAL`, Constant Field Values

### HLTHCHRT

    public static final int HLTHCHRT

  The 'HLTHCHRT' literal value.

  If the meaning of 'HLTHCHRT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HLTHCHRT_LITERAL`, Constant Field Values

### IDENT

    public static final int IDENT

  The 'IDENT' literal value.

  If the meaning of 'IDENT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IDENT_LITERAL`, Constant Field Values

### MNT

    public static final int MNT

  The 'MNT' literal value.

  If the meaning of 'MNT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MNT_LITERAL`, Constant Field Values

### OWN

    public static final int OWN

  The 'OWN' literal value.

  If the meaning of 'OWN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OWN_LITERAL`, Constant Field Values

### RGPR

    public static final int RGPR

  The 'RGPR' literal value.

  If the meaning of 'RGPR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RGPR_LITERAL`, Constant Field Values

### TERR

    public static final int TERR

  The 'TERR' literal value.

  If the meaning of 'TERR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TERR_LITERAL`, Constant Field Values

### WRTE

    public static final int WRTE

  The 'WRTE' literal value.

  If the meaning of 'WRTE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `WRTE_LITERAL`, Constant Field Values

### ACCESS_LITERAL

    public static final RoleClassPassiveMember3 ACCESS_LITERAL

  The 'ACCESS' literal object.

  See Also:
    `ACCESS`

### BIRTHPL_LITERAL

    public static final RoleClassPassiveMember3 BIRTHPL_LITERAL

  The 'BIRTHPL' literal object.

  See Also:
    `BIRTHPL`

### EXPR_LITERAL

    public static final RoleClassPassiveMember3 EXPR_LITERAL

  The 'EXPR' literal object.

  See Also:
    `EXPR`

### HLD_LITERAL

    public static final RoleClassPassiveMember3 HLD_LITERAL

  The 'HLD' literal object.

  See Also:
    `HLD`

### HLTHCHRT_LITERAL

    public static final RoleClassPassiveMember3 HLTHCHRT_LITERAL

  The 'HLTHCHRT' literal object.

  See Also:
    `HLTHCHRT`

### IDENT_LITERAL

    public static final RoleClassPassiveMember3 IDENT_LITERAL

  The 'IDENT' literal object.

  See Also:
    `IDENT`

### MNT_LITERAL

    public static final RoleClassPassiveMember3 MNT_LITERAL

  The 'MNT' literal object.

  See Also:
    `MNT`

### OWN_LITERAL

    public static final RoleClassPassiveMember3 OWN_LITERAL

  The 'OWN' literal object.

  See Also:
    `OWN`

### RGPR_LITERAL

    public static final RoleClassPassiveMember3 RGPR_LITERAL

  The 'RGPR' literal object.

  See Also:
    `RGPR`

### TERR_LITERAL

    public static final RoleClassPassiveMember3 TERR_LITERAL

  The 'TERR' literal object.

  See Also:
    `TERR`

### WRTE_LITERAL

    public static final RoleClassPassiveMember3 WRTE_LITERAL

  The 'WRTE' literal object.

  See Also:
    `WRTE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Role Class Passive Member3' enumerators.

Method Detail

### get

    public static RoleClassPassiveMember3 get(java.lang.String literal)

  Returns the 'Role Class Passive Member3' literal with the specified literal value.

### getByName

    public static RoleClassPassiveMember3 getByName(java.lang.String name)

  Returns the 'Role Class Passive Member3' literal with the specified name.

### get

    public static RoleClassPassiveMember3 get(int value)

  Returns the 'Role Class Passive Member3' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD